Bug 30355 - Crash while running Roslyn
Summary: Crash while running Roslyn
Status: RESOLVED DUPLICATE of bug 57959
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-05-22 11:40 UTC by Lluis Sanchez
Modified: 2018-01-04 16:20 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED DUPLICATE of bug 57959

Description Lluis Sanchez 2015-05-22 11:40:25 UTC
Mono crashed while running Roslyn code in Xamarin Studio

Stacktrace:

  at <unknown> <0xffffffff>
  at (wrapper managed-to-native) object.__icall_wrapper_mono_object_isinst (object,intptr) <IL 0x0002a, 0xffffffff>
  at (wrapper castclass) object.__castclass_with_cache (object,intptr,intptr) <IL 0x0002f, 0xffffffff>
  at System.WeakReference`1.TryGetTarget (T&) <0x000b8>
  at Microsoft.CodeAnalysis.SyntaxNode.GetWeakRedElement (System.WeakReference`1<Microsoft.CodeAnalysis.SyntaxNode>&,int) <IL 0x0000d, 0x00033>
  at Microsoft.CodeAnalysis.CSharp.Syntax.SyntaxList/WithManyWeakChildren.GetNodeSlot (int) <IL 0x00013, 0x0002b>
  at Microsoft.CodeAnalysis.SyntaxList`1.ItemInternal (int) <IL 0x00014, 0x00032>
  at Microsoft.CodeAnalysis.SyntaxList`1/Enumerator.get_Current () <IL 0x0000c, 0x00033>
  at Microsoft.CodeAnalysis.CSharp.LocalScopeBinder.BuildLocals (Microsoft.CodeAnalysis.SyntaxList`1<Microsoft.CodeAnalysis.CSharp.Syntax.StatementSyntax>) <IL 0x00011, 0x0008f>
  at Microsoft.CodeAnalysis.CSharp.BlockBinder.BuildLocals () <IL 0x00007, 0x0002b>
  at Microsoft.CodeAnalysis.CSharp.LocalScopeBinder.get_Locals () <IL 0x00014, 0x00056>
  at Microsoft.CodeAnalysis.CSharp.LocalScopeBinder.get_LocalsMap () <IL 0x00009, 0x0002a>
  at Microsoft.CodeAnalysis.CSharp.LocalScopeBinder.LookupSymbolsInSingleBinder (Microsoft.CodeAnalysis.CSharp.LookupResult,string,int,Roslyn.Utilities.ConsList`1<Microsoft.CodeAnalysis.CSharp.Symbol>,Microsoft.CodeAnalysis.CSharp.LookupOptions,Microsoft.CodeAnalysis.CSharp.Binder,bool,System.Collections.Generic.HashSet`1<Microsoft.CodeAnalysis.DiagnosticInfo>&) <IL 0x0002d, 0x000af>
  at Microsoft.CodeAnalysis.CSharp.Binder.LookupSymbolsInternal (Microsoft.CodeAnalysis.CSharp.LookupResult,string,int,Roslyn.Utilities.ConsList`1<Microsoft.CodeAnalysis.CSharp.Symbol>,Microsoft.CodeAnalysis.CSharp.LookupOptions,bool,System.Collections.Generic.HashSet`1<Microsoft.CodeAnalysis.DiagnosticInfo>&) <IL 0x00040, 0x000d2>
  at Microsoft.CodeAnalysis.CSharp.Binder.LookupSymbolsWithFallback (Microsoft.CodeAnalysis.CSharp.LookupResult,string,int,System.Collections.Generic.HashSet`1<Microsoft.CodeAnalysis.DiagnosticInfo>&,Roslyn.Utilities.ConsList`1<Microsoft.CodeAnalysis.CSharp.Symbol>,Microsoft.CodeAnalysis.CSharp.LookupOptions) <IL 0x0000b, 0x00043>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindIdentifier (Microsoft.CodeAnalysis.CSharp.Syntax.SimpleNameSyntax,bool,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x000ac, 0x002af>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindLeftOfPotentialColorColorMemberAccess (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00021, 0x0008f>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindMemberAccess (Microsoft.CodeAnalysis.CSharp.Syntax.MemberAccessExpressionSyntax,bool,bool,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00018, 0x00053>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindMethodGroup (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,bool,bool,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00056, 0x00107>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindInvocationExpression (Microsoft.CodeAnalysis.CSharp.Syntax.InvocationExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00052, 0x000f7>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindExpressionInternal (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag,bool,bool) <IL 0x002db, 0x0014b>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindExpression (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag,bool,bool) <IL 0x00006, 0x0002f>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindValue (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag,Microsoft.CodeAnalysis.CSharp.Binder/BindValueKind) <IL 0x00005, 0x0002f>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindUnaryOperator (Microsoft.CodeAnalysis.CSharp.Syntax.PrefixUnaryExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00013, 0x0006f>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindExpressionInternal (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag,bool,bool) <IL 0x003f5, 0x005cf>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindExpression (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag,bool,bool) <IL 0x00006, 0x0002f>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindValue (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag,Microsoft.CodeAnalysis.CSharp.Binder/BindValueKind) <IL 0x00005, 0x0002f>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindBooleanExpression (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00004, 0x000c3>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindIfStatement (Microsoft.CodeAnalysis.CSharp.Syntax.IfStatementSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00008, 0x0002b>
  at Microsoft.CodeAnalysis.CSharp.Binder.BindStatement (Microsoft.CodeAnalysis.CSharp.Syntax.StatementSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x000e1, 0x0012b>
  at Microsoft.CodeAnalysis.CSharp.MemberSemanticModel/IncrementalBinder.BindStatement (Microsoft.CodeAnalysis.CSharp.Syntax.StatementSyntax,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00019, 0x0005f>
  at Microsoft.CodeAnalysis.CSharp.CSharpSemanticModel.Bind (Microsoft.CodeAnalysis.CSharp.Binder,Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x00040, 0x000ff>
  at Microsoft.CodeAnalysis.CSharp.MethodBodySemanticModel.Bind (Microsoft.CodeAnalysis.CSharp.Binder,Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode,Microsoft.CodeAnalysis.DiagnosticBag) <IL 0x0001f, 0x0006b>
  at Microsoft.CodeAnalysis.CSharp.MemberSemanticModel.GetBoundNodes (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode) <IL 0x00075, 0x00176>
  at Microsoft.CodeAnalysis.CSharp.MemberSemanticModel.GetLowerBoundNode (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode) <IL 0x00002, 0x00027>
  at Microsoft.CodeAnalysis.CSharp.MemberSemanticModel.GetBoundNodes (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode,Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode&,Microsoft.CodeAnalysis.CSharp.BoundNode&,Microsoft.CodeAnalysis.CSharp.BoundNode&,Microsoft.CodeAnalysis.CSharp.BoundNode&) <IL 0x00040, 0x000cb>
  at Microsoft.CodeAnalysis.CSharp.MemberSemanticModel.GetSymbolInfoWorker (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode,Microsoft.CodeAnalysis.CSharp.CSharpSemanticModel/SymbolInfoOptions,System.Threading.CancellationToken) <IL 0x00010, 0x00057>
  at Microsoft.CodeAnalysis.CSharp.SyntaxTreeSemanticModel.GetSymbolInfoWorker (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxNode,Microsoft.CodeAnalysis.CSharp.CSharpSemanticModel/SymbolInfoOptions,System.Threading.CancellationToken) <IL 0x00020, 0x000a4>
  at Microsoft.CodeAnalysis.CSharp.CSharpSemanticModel.GetSymbolInfo (Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,System.Threading.CancellationToken) <IL 0x00031, 0x00166>
  at Microsoft.CodeAnalysis.CSharp.CSharpExtensions.GetSymbolInfo (Microsoft.CodeAnalysis.SemanticModel,Microsoft.CodeAnalysis.CSharp.Syntax.ExpressionSyntax,System.Threading.CancellationToken) <IL 0x0000d, 0x00057>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.VisitInvocationExpression (Microsoft.CodeAnalysis.CSharp.Syntax.InvocationExpressionSyntax) [0x00013] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:168
  at Microsoft.CodeAnalysis.CSharp.Syntax.InvocationExpressionSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitPrefixUnaryExpression (Microsoft.CodeAnalysis.CSharp.Syntax.PrefixUnaryExpressionSyntax) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.Syntax.PrefixUnaryExpressionSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitIfStatement (Microsoft.CodeAnalysis.CSharp.Syntax.IfStatementSyntax) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.Syntax.IfStatementSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitBlock (Microsoft.CodeAnalysis.CSharp.Syntax.BlockSyntax) <IL 0x00002, 0x0001a>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.VisitBlock (Microsoft.CodeAnalysis.CSharp.Syntax.BlockSyntax) [0x0001c] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:524
  at Microsoft.CodeAnalysis.CSharp.Syntax.BlockSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitMethodDeclaration (Microsoft.CodeAnalysis.CSharp.Syntax.MethodDeclarationSyntax) <IL 0x00002, 0x0001a>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.VisitMethodDeclaration (Microsoft.CodeAnalysis.CSharp.Syntax.MethodDeclarationSyntax) [0x00003] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:305
  at Microsoft.CodeAnalysis.CSharp.Syntax.MethodDeclarationSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitClassDeclaration (Microsoft.CodeAnalysis.CSharp.Syntax.ClassDeclarationSyntax) <IL 0x00002, 0x0001a>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.VisitClassDeclaration (Microsoft.CodeAnalysis.CSharp.Syntax.ClassDeclarationSyntax) [0x00003] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:275
  at Microsoft.CodeAnalysis.CSharp.Syntax.ClassDeclarationSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitNamespaceDeclaration (Microsoft.CodeAnalysis.CSharp.Syntax.NamespaceDeclarationSyntax) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.Syntax.NamespaceDeclarationSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxWalker.DefaultVisit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0003b, 0x000d8>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.VisitCompilationUnit (Microsoft.CodeAnalysis.CSharp.Syntax.CompilationUnitSyntax) <IL 0x00002, 0x0001a>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.VisitCompilationUnit (Microsoft.CodeAnalysis.CSharp.Syntax.CompilationUnitSyntax) [0x0002a] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:122
  at Microsoft.CodeAnalysis.CSharp.Syntax.CompilationUnitSyntax.Accept (Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor) <IL 0x00002, 0x0001a>
  at Microsoft.CodeAnalysis.CSharp.CSharpSyntaxVisitor.Visit (Microsoft.CodeAnalysis.SyntaxNode) <IL 0x0000a, 0x0003c>
  at ICSharpCode.NRefactory6.CSharp.Analysis.SemanticHighlightingVisitor`1.Visit (Microsoft.CodeAnalysis.SyntaxNode) [0x00049] in /Users/lluis/prog/work/master/monodevelop/main/external/NRefactory6/ICSharpCode.NRefactory.CSharp/Features/SemanticHighlighting/SemanticHighlightingVisitor.cs:134
  at MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5.MoveNext () [0x0012d] in /Users/lluis/prog/work/master/monodevelop/main/src/addins/CSharpBinding/MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:89
  at System.Runtime.CompilerServices.AsyncMethodBuilderCore.Start<MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5> (MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5&) [0x00038] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:841
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1<System.Threading.Tasks.VoidTaskResult>.Start<MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5> (MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5&) [0x00000] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:447
  at System.Runtime.CompilerServices.AsyncTaskMethodBuilder.Start<MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5> (MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6/<DocumentParsed>c__async5&) [0x00000] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/runtime/compilerservices/AsyncMethodBuilder.cs:287
  at MonoDevelop.CSharp.Highlighting.CSharpSyntaxMode/<DocumentParsed>c__AnonStorey6.<>m__0 () [0x00008] in /Users/lluis/prog/work/master/monodevelop/main/src/addins/CSharpBinding/MonoDevelop.CSharp.Highlighting/CSharpSyntaxMode.cs:83
  at System.Threading.Tasks.Task`1.InnerInvoke () <0x00054>
  at System.Threading.Tasks.Task.Execute () [0x00016] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2523
  at System.Threading.Tasks.Task.ExecutionContextCallback (object) [0x00007] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2887
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object) [0x00027] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/mcs/class/corlib/System.Threading/ExecutionContext.cs:242
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext,System.Threading.ContextCallback,object,bool) [0x00000] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/mcs/class/corlib/System.Threading/ExecutionContext.cs:228
  at System.Threading.Tasks.Task.ExecuteWithThreadLocal (System.Threading.Tasks.Task&) [0x0005f] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2848
  at System.Threading.Tasks.Task.ExecuteEntry (bool) [0x0006f] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2781
  at System.Threading.Tasks.Task.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00000] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2728
  at System.Threading.ThreadPool.<UnsafeQueueCustomWorkItem>m__0 (object) [0x00000] in /private/tmp/source-mono-mac-4.0.0-branch/bockbuild-mono-4.0.0-branch/profiles/mono-mac-xamarin/build-root/mono-4.0.1/mcs/class/corlib/System.Threading/ThreadPool.cs:258
  at (wrapper runtime-invoke) <Module>.runtime_invoke_void__this___object (object,intptr,intptr,intptr) <IL 0x00062, 0xffffffff>

Native stacktrace:


Debug info from gdb:

(lldb) command source -s 1 '/tmp/mono-gdb-commands.HLNw7q'
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/mono/4.5/mscorlib.dll.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/Current/lib/libglib-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libintl.8.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgtk-quartz-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgdk-quartz-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libpangocairo-1.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libpango-1.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgthread-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libatk-1.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libcairo.2.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libpixman-1.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libfontconfig.1.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libexpat.1.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libfreetype.6.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgdk_pixbuf-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libpng14.14.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgio-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgmodule-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libgobject-2.0.0.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libffi.6.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/gtk-2.0/2.10.0/engines/libxamarin.so empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/gtk-2.0/2.10.0/engines/libquartz.so empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/pango/1.8.0/modules/pango-basic-coretext.so empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jpeg.so empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/libjpeg.8.dylib empty dSYM file detected, dSYM was created with an executable with no debug info.
warning: (i386) /Library/Frameworks/Mono.framework/Versions/4.0.1/lib/gtk-2.0/2.10.0/immodules/im-cedilla.so empty dSYM file detected, dSYM was created with an executable with no debug info.
Process 48137 detached
(lldb) 
=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

make[1]: *** [runmd-sgen] Abort trap: 6
make: *** [run] Error 2
iMac-de-Luis:monodevelop lluis$
Comment 1 Marek Safar 2018-01-04 16:20:38 UTC

*** This bug has been marked as a duplicate of bug 57959 ***